Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK OCSP Java API Reference 10g Release 3 (10.1.3) B25375-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.ocsp
Class NonceExtension

`java.lang.Object
oracle.security.crypto.cert.X509Extension
oracle.security.crypto.ocsp.NonceExtension`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

public class NonceExtension
extends oracle.security.crypto.cert.X509Extension

Represents the Nonce extension from RFC 2650 for OCSPRequest and OCSPResponse objects.

Field Summary

Fields inherited from class oracle.security.crypto.cert.X509Extension
`id_netscape_ce, id_netscape_ce_type, id_set_ce, id_set_ce_type, isDecoded`

Constructor Summary
`NonceExtension()` Create a new extension with the appropriate OID type.
`NonceExtension(byte[] nonce)` Creates a new Nonce extension with the given nonce.
`NonceExtension(byte[] nonce, boolean critical)` Creates a new Nonce extension with the given nonce.
`NonceExtension(java.io.InputStream is)`

Method Summary
`byte[]` | `getNonce()` Gets the nonce ofthis extension.
`java.lang.String` | `toString()`

Methods inherited from class oracle.security.crypto.cert.X509Extension
`getASN1Value, getCritical, getID, getType, getValue, input, input, inputInstance, isRecognized, length, output, setCritical, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NonceExtension

    public NonceExtension()

  Create a new extension with the appropriate OID type.

  Note: An object created using this constructor may not be in a valid state. This constructor is intended primarily for use in conjunction with the `X509Extension.input(java.io.InputStream)` method.

### NonceExtension

    public NonceExtension(byte[] nonce)

  Creates a new Nonce extension with the given nonce. By default this extension will be non-critical.
Parameters:
  `nonce` - The nonce bytes.

### NonceExtension

    public NonceExtension(byte[] nonce,
                          boolean critical)

  Creates a new Nonce extension with the given nonce.
Parameters:
  `nonce` - The nonce of this extension.
  `critical` - True if this extension is critical, false otherwise.

### NonceExtension

    public NonceExtension(java.io.InputStream is)
                   throws java.io.IOException

Method Detail

### getNonce

    public byte[] getNonce()

  Gets the nonce ofthis extension.
  Returns:
    A byte[] representing the nonce.

### toString

    public java.lang.String toString()

Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK OCSP Java API Reference 10g Release 3 (10.1.3) B25375-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.